%bcond_without qt

Summary: A set of small applications for entering PINs or Passphrases
Name: pinentry
Version: 0.7.4
Release: 14%{?dist}
URL: http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz.sig
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: ncurses-devel, gtk2-devel, glib2-devel
%{?with_qt:BuildRequires: qt-devel >= 1:3.2}
Provides: pinentry-gtk = %{evr}, pinentry-gui = %{evr}
Obsoletes: pinentry-gtk < %{evr}, pinentry-gui < %{evr}
%{?with_qt:Provides: pinentry-qt = %{evr}}
%{?with_qt:Obsoletes: pinentry-qt < %{evr}}

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.

%prep
%setup -q

%build
%configure --enable-pinentry-curses \
           --enable-pinentry-gtk2 \
           %{?with_qt:--enable-pinentry-qt}
make

%install
rm -rf %{_buildroot}
%makeinstall
rm -f %{_buildroot}%{_infodir}/dir

%clean
rm -rf %{_buildroot}

%post
/sbin/install-info --entry="* pinentry: (pinentry).      utilities for entering PINs or Passphrases" %{_infodir}/%{name}.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_infodir}/pinentry.info*

%changelog
* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.4-14
- Update to 0.7.4.

* Thu Mar  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.2.

* Wed Dec 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix typo in Provides.

* Fri Oct  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.1.

* Wed Feb 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.8.

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
